{{/*
Expand the name of the chart.
*/}}
{{- define "name" -}}
backup-service
{{- end }}

{{/*
Labels
*/}}
{{- define "labels" -}}
app.kubernetes.io/name: {{ include "name" . }}
app.kubernetes.io/component: {{ include "name" . }}
{{- end }}

{{/*
UiPath registry override
*/}}
{{- define "uipathRegistry" -}}
{{- if .Values.global.uipath.registry -}}
{{- printf "%s/" .Values.global.uipath.registry -}}
{{- else -}}
{{- "" -}}
{{- end -}}
{{- end -}}

{{/*
UiPath pull secrets override
*/}}
{{- define "uipathImagePullSecrets" }}
{{- if .Values.global.uipath.imagePullSecrets }}
imagePullSecrets:
{{- range $val := .Values.global.uipath.imagePullSecrets }}
- name: {{ $val }}
{{- end }}
{{- end }}
{{- end }}