local luaunit = require("luaunit")

local mock_request_handle = require("mock_request_handle")

function envoy_on_request(request_handle)
    local status
    local err
    status, err = pcall(envoy_on_request_helper,request_handle)
    if not status then
        request_handle:logErr(err)
        request_handle:respond(
            {[":status"] = "599"},
            "Routing error happens in EnvoyFilter:\n"..err
        )
    end
end

function envoy_on_request_helper(request_handle)
    local nil_value = nil
    local error_value = nil_value.notexisting
    print(error_value)
end

function test_error_handling()
    local request_handle = mock_request_handle:new(nil)
    envoy_on_request(request_handle)

    local response_code = request_handle:getResponseHeaders():get(":status")
    local response_body = request_handle:getResponseBody()
    
    luaunit.assertErrorMsgContains("attempt to call a nil value")
    luaunit.assertEquals(response_code, "599")
    luaunit.assertStrContains(response_body, "Routing error happens in EnvoyFilter:")
end

luaunit.LuaUnit:run()
